﻿@{
    ViewBag.NomePagina = "Grupo Econômico";
}

@Html.Partial("~/Views/Paginas/CadastroGrupoEconomico/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Parâmetros  &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Grupo Econômico
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtCodigoPesquisa" type="text" class="ctrl-filtro numerico" maximo="10" placeholder="Código..." />
        <i class="material-icons">more_vert</i>
        <i class="material-icons icon-clear">close</i>
        <input id="txtNomeGrupo" type="text" class="ctrl-filtro" maximo="14" placeholder="Nome do Grupo..." />
        <i class="material-icons">more_vert</i>
        <select id="ddlStatus" class="form-control">
            <option value="0" selected="selected">Faturamento Agrupado?</option>
            <option value="1">SIM</option>
            <option value="2">NÃO</option>
        </select>
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroGrupoEconomicoContainer"></div>
    </div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Grupo Econômico</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodGrdEco" readonly class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Cadastro:</strong> <span><input type="text" id="txtDatFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncCadLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <input id="txtCodigoGrpEcoHid" name="txtCodigoGrpEcoHid" type="text" style="display:none">
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-md-3">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Nome Grupo Econômico:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtDesGrpEco" name="txtDesGrpEco" type="text" maxlength="70">
                            <label class="mdl-textfield__label" for="txtDesGrpEco"></label>
                        </div>
                    </div>
                </div>
                <div id="divStatus" class="titulo-divstatus-grpeco">
                    <div class="col-md-12 nopaddingright">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Faturamento Agrup.:</strong>
                        </label>
                        <div class="col-md-12 col-divstatus-grpeco">
                            <div class="col-md-5">
                                <label id="lbl_sim" class="mdl-radio mdl-js-radio mdl-js-ripple-effect" for="rbSim">
                                    <input type="radio" id="rbSim" class="mdl-radio__button" name="rbStatus" value="1">
                                    <span class="mdl-radio__label">Sim</span>
                                </label>
                            </div>
                            <div class="col-md-5">
                                <label id="lbl_nao" class="mdl-radio mdl-js-radio mdl-js-ripple-effect" for="rbNao">
                                    <input type="radio" id="rbNao" class="mdl-radio__button" name="rbStatus" value="0" checked>
                                    <span class="mdl-radio__label">Não</span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-7" style="display:flex">
                    @Html.Partial("~/Views/Partials/Select2ClientesCodigosOpt.cshtml", new Select2ClientesViewModel() { idControleSelect2 = "selCliCad", idControleInput = "TxtCliCad", viewCode = true, verTituloGrpEco = true, clasColSelect = "col-md-7" })
                </div>
            </div>

            <div class="row tgv-button-middle">
                <span>
                    <button id="btnAdicionarCliente" type="button" class="btn btn-primary">
                        <i class="fa fa-plus">&nbsp;</i>
                        Adicionar
                    </button>
                    <button id="btnRemoverCliente" type="button" class="btn btn-dark">
                        <i class="fa fa-close">&nbsp;</i>
                        Remover
                    </button>
                </span>
            </div>

            <div class="dataTables_modificado dataTables_personalizado">
                <div id="grdCadastroClientesGrupoEconomicoContainer"></div>
            </div>

        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroGrupoEconomico/Partials/_IndexModalClientes.cshtml")
@Html.Partial("~/Views/Paginas/CadastroGrupoEconomico/Partials/_IndexScript.cshtml")